Falló la instalación del paquete libpkcs11-dnie [SOLUCIONADO]

Spanish Forum

Moderator: JCSenar

User avatar
JCSenar
Level 8
Level 8
Posts: 2223
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Falló la instalación del paquete libpkcs11-dnie [SOLUCIONADO]

Postby JCSenar » Sat Nov 11, 2017 6:27 pm

EDITADO: 14-11-2017

De vez en cuando, al terminar la instalación del DNI electrónico, recibo este mensaje:

Image

Aunque se vea este error, el DNIe funciona y se puede utilizar sin problemas. Sin embargo, el módulo libpkcs11-dnie ha quedado a "medio instalar" y cuando intentemos instalar cualquier otro programa o actualizar el sistema volveremos a recibir este aviso y el módulo volverá a intentar configurarse.

Intentando solucionar esto, algunas veces me ha funcionado reinstalar el paquete pero otras veces no :roll: .

Así que mi solución definitiva (encontrada en este comentario de la Comunidad de Ubuntu en Español) ha sido engañar al sistema. El paquete está instalado y funciona perfectamente pero ha quedado como a "medio instalar", ¿verdad? Pues vamos a ponerlo como "instalado correctamente" :D :

Desde el Terminal, editamos (con xed, pluma, gedit....) el archivo /var/lib/dpkg/status:

Code: Select all

gksudo xed /var/lib/dpkg/status

Buscamos libpkcs11-dnie y vemos que su Status es install reinstreq half-installed:

Image

Cambiamos el Status a install ok installed y guardamos el archivo:

Image

Listo. Muerto el perro se acabó la rabia :D .

PD: Si alguien sabe cómo conseguir que el paquete se instale correctamente siempre a la primera, por favor, que no deje de comentarlo. :wink:
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

User avatar
tomeu
Level 3
Level 3
Posts: 173
Joined: Wed Mar 29, 2017 12:03 pm

Re: Falló la instalación del paquete libpkcs11-dnie [SOLUCIONADO]

Postby tomeu » Mon Nov 13, 2017 11:13 am

Malos tiempos para ir probando instalaciones del DNIe por lo dicho en este post La Policía desactiva la firma digital del DNI.
Debo estar entre los afectados (posterior a abril 2015). Ni en windows ni en linux me reconocen los certificados del DNIe (ni firma ni autenticación), en una ocasión me sale una ventana que dice que los certificados están caducados, como estaba convencido que eso no era posible, paso por Jefatura y todas las máquinas apagadas. Me dicen que "temporalmente" no funcionan y tampoco los certificados, y que la cosa va ir para largo.
Seguro que lo arreglan antes de tener que pagar trimestrales de IRPF e IVA. :twisted:
Linux Mint Sylvia 18.3 64bits Cinnamon 3.6.6

User avatar
JCSenar
Level 8
Level 8
Posts: 2223
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: Falló la instalación del paquete libpkcs11-dnie. Posibles soluciones

Postby JCSenar » Mon Nov 13, 2017 2:29 pm

EDITADO: He editado y modificado el primer mensaje y cambiado el título porque me estoy volviendo loco buscando una pauta común que explique por qué unas veces el DNIe se instala correctamente y otras no. De momento, incluyo 2 soluciones que he utilizado pero que tampoco funcionan siempre :shock:

tomeu wrote:Malos tiempos para ir probando instalaciones del DNIe por lo dicho en este post La Policía desactiva la firma digital del DNI.
Debo estar entre los afectados (posterior a abril 2015). Ni en windows ni en linux me reconocen los certificados del DNIe (ni firma ni autenticación), en una ocasión me sale una ventana que dice que los certificados están caducados, como estaba convencido que eso no era posible, paso por Jefatura y todas las máquinas apagadas. Me dicen que "temporalmente" no funcionan y tampoco los certificados, y que la cosa va ir para largo.
Seguro que lo arreglan antes de tener que pagar trimestrales de IRPF e IVA. :twisted:

Yo sigo pudiendo usarlo perfectamente. Es posible que tengas el chip dañado, como me pasó a mí e indico al final del tutorial de instalación:

JCSenar wrote:EDITADO: Si durante la instalación o utilización posterior tenemos algún problema relacionado con los certificados (certificados no válidos, imposible acceder a los certificados, etc.), aparte de revisar que no estén caducados hay que tener en cuenta la posibilidad de que el chip esté dañado. Recientemente me ha pasado por segunda vez en pocos años. En la misma máquina en la que se renuevan los certificados podemos comprobar si el chip está bien. En caso contrario nos tocará tener que duplicar (no renovar) el DNIe. Según me dijeron, pasa bastante a menudo... :roll:

Y sí; según el comentario de Borraxito parece que tardarán como un mes en arreglarlo. :roll:
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

User avatar
tomeu
Level 3
Level 3
Posts: 173
Joined: Wed Mar 29, 2017 12:03 pm

Re: Falló la instalación del paquete libpkcs11-dnie. Posibles soluciones

Postby tomeu » Tue Nov 14, 2017 8:20 am

JCSenar wrote:Es posible que tengas el chip dañado, como me pasó a mí e indico al final del tutorial de instalación:

Pues tendré que esperar para saberlo. Máquinas de la Policía también apagadas y fuera de servicio. :?
Linux Mint Sylvia 18.3 64bits Cinnamon 3.6.6

User avatar
JCSenar
Level 8
Level 8
Posts: 2223
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: Falló la instalación del paquete libpkcs11-dnie [SOLUCIONADO]

Postby JCSenar » Tue Nov 14, 2017 9:46 am

Sí compañeros. Tema reeditado y [SOLUCIONADO] :D
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.


Return to “Español (Spanish)”